package com.fshark.overseas.advert.entity.dao;



import com.fshark.overseas.advert.modle.AppsFlyerEvent;
import com.fshark.overseas.advert.modle.metrics.EventMetrics;
import org.jdbi.v3.sqlobject.customizer.BindBean;
import org.jdbi.v3.sqlobject.statement.SqlUpdate;

public interface EventInfoDao {

    @SqlUpdate("insert into appsflyer_event_times (`data_date`,`region`, `platform`, `game_id`, `media_source`, `campaign_id` ,`event_name`,`event_date`,`times`) " +
            "values (:dataDate,:region,:platform,:gameId,:mediaSource,:campaignId,:event_name,:event_date,:times)")
    void insertEventTimes(@BindBean EventMetrics value);

    @SqlUpdate("insert into appsflyer_event_info (`region`, `uid`, `did`, `platform`, `game_id`, `media_source`, `campaign_id`,`campaign_name`, `ad_set_id`,`ad_set_name`, `ad_id`,`ad_name`, `event_name`, `event_time`, `event_value`,`channel`,`time_zone`) values \n" +
            "(:region, :uid, :did, :platform, :game_id, :media_source, :campaign_id,:campaign, :ad_set_id ,:ad_set, :ad_id ,:ad, :event, :event_time, :event_value,:channel,:time_zone)")
    Boolean insertEventInfo(@BindBean AppsFlyerEvent event);

}
