package com.fshark.overseas.advert.util;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author libing
 * @version 1.0
 * @date 2019-08-02 16:59
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ClickFeedbackRecord {

    private int gameId;

    private String deviceId;

    private String callbackURL;

    public static String feedbackId(int gameId, String deviceId) {
        return "fk-" + deviceId + "-" + gameId;
    }
}
